# hal.c File Reference

## Detailed Description

ARTI -- RTAI-compatible Adeos-based Real-Time Interface.

Based on the original RTAI layer for PPC and the RTAI/x86 rewrite over ADEOS.

Original RTAI/PPC layer implementation:
Copyright © 2000 Paolo Mantegazza,
Copyright © 2001 David Schleef,
Copyright © 2001 Lineo, Inc,
Copyright © 2002 Wolfgang Grandegger.

RTAI/x86 rewrite over Adeos:
Copyright &copy 2002 Philippe Gerum.

RTAI/PPC rewrite over Adeos:
Copyright &copy 2004 Wolfgang Grandegger.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, Inc., 675 Mass Ave, Cambridge MA 02139, USA; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

Include dependency graph for hal.c:

## Functions

int | rt_request_linux_irq (unsigned irq, void(*handler)(int irq, void *dev_id, struct pt_regs *regs), char *name, void *dev_id)
| Install shared Linux interrupt handler.